List of games with mandatory 3ds firmware update

Discussion in '3DS - Flashcards & Custom Firmwares' started by deathking, Jun 27, 2013.

  1. deathking
    OP

    deathking GBAtemp Advanced Fan

    Member
    647
    18
    Mar 15, 2009
    United States
    Hi Guys
    is there any list of what games have mandatory firmware updates ?
    I know mario 3d land has one and i know animal crossing has one as well

    but is there any where to find out if other games also have these mandatory updates on the cart ?

    Im looking at mario tennis if anyone can help ?
     


  2. Ryupower

    Ryupower Brood

    Member
    2,928
    436
    Oct 8, 2007
    United States
    most games will have one
    is should be a FW that is out around the same time the game is out

    the older the game the Lower the FW need to run the game is
     
  3. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    All games have mandatory update. If the version number on your 3DS is a mismatched to version number on a 3DS game it'll ask for an update.
     
  4. Pedeadstrian

    Pedeadstrian GBAtemp's Official frill-necked lizard.

    Member
    3,525
    1,564
    Oct 12, 2012
    United States
    Sandy Eggo
  5. GoldenSun3DS

    GoldenSun3DS GBAtemp Regular

    Member
    264
    34
    Apr 27, 2013
    United States
    What if on newer production runs they load new firmware on them?
    For example, let's say Pokemon X came out on 10-12-2013 when firmware 6.1 was out. Firmware 7.0 comes out 5 months later on March 12, 2013. All Pokemon X games made after March 12, 2014 would now come with 7.0.
    Is there any chance they do something like that?
     
  6. Pedeadstrian

    Pedeadstrian GBAtemp's Official frill-necked lizard.

    Member
    3,525
    1,564
    Oct 12, 2012
    United States
    Sandy Eggo
    Is it possible? I suppose, but I can't think of any reason why they would need to do so, unless they edited the game.
     
  7. Tattorack

    Tattorack Interstellar Explorer

    Member
    217
    39
    Jun 15, 2011
    Denmark
    Hyperspace
    I kinda afraid of buying a 3DS because of this "mandatory update"... were I live there is ultimately NO consol compatible/open wi-fi withing a radius of 100km...
     
  8. how_do_i_do_that

    how_do_i_do_that Blue Wizard is about to die.

    Member
    4,922
    257
    May 16, 2008
    Antarctica
    You have insufficient posts to view user location.
    The "mandatory update" is only required if you want to use the eShop or certain first party title's online features like Mario Kart, etc.

    And depending on what game cart your buying, it might have an update to a specific firmware. Other than that it is no different that that of a PS3 online features use requirements and the PS3 or Wii games you buy.
     
  9. Chocolina

    Chocolina GBAtemp Fan

    Member
    450
    84
    May 28, 2012
    United States
    The beauty of mandatory updates is that anyone that bought a 3DS and refuse to update because they're scared of having to go back and update their flashcarts, end up of having to miss out on eshop games, free demos, nintendo direct, and many games that are popular on the system.
     
  10. reaper527

    reaper527 GBAtemp Regular

    Member
    103
    25
    Aug 22, 2011
    United States
    doesn't matter. any game that has a mandatory update to a given firmware has that firmware on the cart.

    and on the op's question, all games have mandatory firmware updates. just look for a list of 3ds games and that is your list of games that require mandatory updates (aside from a select handful of launch titles)
     
  11. Tattorack

    Tattorack Interstellar Explorer

    Member
    217
    39
    Jun 15, 2011
    Denmark
    Hyperspace
    Ah right, thats a breath of fresh air ^^;

    Well the e-shop features, demo's and all the extra e-jazz stuff I'll have to do without to begin with, so it doesn't really bother me to get "blocked out".
     
    Metoroid0 likes this.
  12. GalatasarayEken

    GalatasarayEken Advanced Member

    Newcomer
    70
    3
    Jun 22, 2011
    Canada
    Toronto
    anyone got a list of firmware according to games like

    Mario and Luigi Dream Team (5.x) etc..

    I just want to see which type of games I can play 4.2 and below

    I have a 4.2 firmware so I can't play games that are over 4.2 firmware required from what I understand, if I want to play 4.2 firmware + what would I need to do beside updating my console to 6.x +
     
  13. Pong20302000

    Pong20302000 making notes on everything

    Member
    8,076
    1,932
    Sep 8, 2009
    One's inner self
    all current Roms Firmware is listed to the right hand side of the table
    http://3ds.essh.co/
     
    Margen67, tbgtbg and Schaapje82 like this.
  14. GalatasarayEken

    GalatasarayEken Advanced Member

    Newcomer
    70
    3
    Jun 22, 2011
    Canada
    Toronto

    Thanks, but do you know if there would be anyway a 4.2U would be able to play 4.5 firmware games?
     
  15. Pong20302000

    Pong20302000 making notes on everything

    Member
    8,076
    1,932
    Sep 8, 2009
    One's inner self
    Gateway have a Firmware Spoofer, once that is out should be able to do so

    you can still update to 4.5.0 with a game like Luigi's mansion and the hack is still safe
     
    Margen67 and tbgtbg like this.
  16. GalatasarayEken

    GalatasarayEken Advanced Member

    Newcomer
    70
    3
    Jun 22, 2011
    Canada
    Toronto

    Thank you so much for the information, you've been really helpful :)
     
  17. GalatasarayEken

    GalatasarayEken Advanced Member

    Newcomer
    70
    3
    Jun 22, 2011
    Canada
    Toronto
    If gateway 3DS makes the firmware spoofer would that mean that a 4.5U game can be played on a 4.2U device? I really want to play Pokemon Mystery Dungeon: Gates to Infinity
     
  18. Pong20302000

    Pong20302000 making notes on everything

    Member
    8,076
    1,932
    Sep 8, 2009
    One's inner self
    yes that is how it should work, even tho the best option would be just to upgrade to 4.5

    until they release the beta to testers we cant confirm but indeed it should work like that
     
  19. GalatasarayEken

    GalatasarayEken Advanced Member

    Newcomer
    70
    3
    Jun 22, 2011
    Canada
    Toronto
    I want to get to 4.5 as well but if I'm on 4.2U and try to do a system update wouldn't that make me download the latest firmware? I don't think I can upgrade to 4.5U
     
  20. Pong20302000

    Pong20302000 making notes on everything

    Member
    8,076
    1,932
    Sep 8, 2009
    One's inner self
    if you place in a legitimate game that comes with firmware 4.5.0 it will update you only to that